Subject: FYI:FORTRAN:LINUX:EGCS:Re: g77 Fortran compiler (fwd)

From: root <[email-masked]>
Date: Fri, 13 Feb 1998 15:39:42 +0300 (MSK)

---------- Forwarded message ----------
Date: Thu, 12 Feb 1998 14:35:17 +0100 (MET)
From: Thomas Meinders <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]
Cc: [email-masked]
Subject: Re: g77 Fortran compiler
Resent-Date: 12 Feb 1998 13:35:45 -0000
Resent-From: [email-masked]
Resent-cc: recipient list not shown: ;

Hey Elliot:
Thank you very much for your hint using egcs instead of gcc and the g77 
patches. It works great!

What have we done?

1) We deinstalled the following packages:
	gcc-c++-2.7.2.3-5
	gcc-2.7.2.3-5
	gcc-objc-2.7.2.3-5

2) From ftp.circ.us.eu.org/pub/linux/packages/i386 we installed:
	egcs-c++-1.0.1-3
	egcs-objc-1.0.1-3
	egcs-1.0.1-3
	egcs-g77-1.0.1-3

There was only one problem: The egcs packages require the binutilities 
package: 
	binutils-2.8.1.0.17-1.i386.rpm

to be installed.
The default Redhat 5.0 distribution comes with binutils-2.8.1.0.1-1.i386.rpm
So we tried:
	rpm -Uvh binutils-2.8.1.0.17-1.i386..rpm

but this gave us:
failed dependencies:
        libbfd.so.2.8.1.0.1 is needed by procps-1.2.4-1

So we decided to do:
        rpm -ivh binutils-2.8.1.0.17-1.i386.rpm

That leaves us with two binutils on our machine. I don't feel to good 
about it, but I couldn't find a different workaround. Did I do something 
wrong? Or do I have to worry about this two binutils packages to be 
installed?

Thank you for your help!

	Thomas

--
Thomas Meinders, Institute B of Mechanics, University of Stuttgart
Pfaffenwaldring 9, D-70550 Stuttgart, phone: (+49)-711-685-6821, fax -6400
privat: Friesenstr. 20, 71065 Sindelfingen, +49 (7031) 871831 
http://www.uni-stuttgart.de/mechb/Leute/Meinders 

On Thu, 5 Feb 1998, Elliot Lee wrote:

> On Thu, 5 Feb 1998, Thomas Meinders wrote:
> 
> > Can it be real that RedHat5.0 comes without the g77 fortran compiler? Or 
> > do I miss something important?
> 
> Yup, it's real. It's for a good reason, too:
> 
> The g77 patches for gcc 2.7.x introduce instabilities into the C compiler. 
> 
> If you really must have g77 (i.e. f2c won't work for you) you may want to
> try out egcs - it's an experimental compiler based upon gcc, that includes
> g77. I have .rpm's available at
> ftp://ftp.circ.us.eu.org/pub/linux/packages/i386/ (you'll want to get
> egcs-*.i386.rpm and libstdc++-*.i386.rpm). 
> 
> -- Elliot					http://www.redhat.com/
> "The obvious mathematical breakthrough would be development of an easy way
> to factor large prime numbers." -- Bill Gates from "The Road Ahead," p. 265.
> 
> 
> 

-- 
  PLEASE read the Red Hat FAQ, Tips, Errata and the MAILING LIST ARCHIVES!
http://www.redhat.com/RedHat-FAQ /RedHat-Errata /RedHat-Tips /mailing-lists
         To unsubscribe: mail [email-masked] with 
                       "unsubscribe" as the Subject.